Subject: Re: royalty-free blanket statements and reasonable terms

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 Sep 2003 14:41:48 +0200

I respectfully disagree. We haven't changed the IETF's policy,
and citing such a precise definition of RF would make newcomers
believe that the IETF was somehow endorsing it.

I belive that we should freeze the documents at this point.

   Brian

Catherine McCarthy wrote:
> 
> Harald and Scott,
> 
> I agree that, at this late date, it is not appropriate to include additional
> definitions in the current set of documents. As W3C illustrates, vetting the
> definition of "royalty-free" is an arduous and time-consuming process.
> 
> However, since IETF members have raised questions related to the meaning of
> "royalty-free," we should reference the W3C Patent Policy licensing
> requirements section as an example of a standards industry accepted
> definition of "royalty free."
> 
> The best way to do this is to provide a hyperlink to the W3C Patent Policy,
> Paragraph 5 in the IETF Patent Disclosures and Licensing Declarations
> Document Section VI b). [See:
> http://www.w3.org/Consortium/Patent-Policy-20030520.html#def-RF
> 
> It may be useful to note that a royalty-free license is a license only to
> those patents or patent applications that would necessarily be infringed by
> implementing the specification. No other license under such patents or
> patent applications is provided for any purpose. Additionally, a
> royalty-free license is not a blanket license to all of one's patents.
> 
> Catherine
> 
> ----- Original Message -----
> From: "Harald Tveit Alvestrand" <[email-masked]>
> To: <[email-masked]>; "'Scott Bradner'" <[email-masked]>;
> <[email-masked]>
> Sent: Wednesday, August 27, 2003 9:00 AM
> Subject: RE: royalty-free blanket statements and reasonable terms
> 
> >
> >
> > --On 26. august 2003 13:05 -0700 "Lawrence E. Rosen" <[email-masked]>
> > wrote:
> >
> > > Harald and Scott,
> > >
> > > Adding a definition of the term "RF" does not change the IETF policy,
> > > particularly since the IETF policy doesn't require an RF license from
> > > anyone.
> > >
> > > Using the W3C definition would at least have the advantage of informing
> > > people of important patent license terms if the IETF-standardized
> > > technology were to be combined in a single implementation with some
> > > W3C-standardized technology.  If a licensor said, "we're licensing our
> > > technology on RF terms," we'd be able to conclude that the license terms
> > > were compatible with W3C's *and* IETF's definitions of RF.
> >
> > Larry,
> >
> > I heartily encourage and support an effort to publish text that people can
> > point to and say "this is what we mean when we say RF".
> >
> > Like the definition of "open source license", I think it would have to be
> > of the form "any license that is no more restrictive than what's described
> > here is appropriate" - companies seem to be just unable to resist adding
> > more language into licensing documents - but otherwise, I think the
> current
> > proposal is "close enough to be OK".
> >
> > It's JUST the inclusion of this in the current set of documents, at a time
> > when allowing a month of discussion to make sure it's correct and has
> > consensus just about directly causes a month of delay in publishing the
> > documents, I'm objecting to.
> >
> > You and Chuck just gave a very good demonstration of why rushing text into
> > this document set is a thoroughly Bad Idea.
> >
> >                 Harald
> >

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Scott Bradner <[email-masked]>
Date: Thu, 4 Sep 2003 08:46:45 -0400 (EDT)

> I belive that we should freeze the documents at this point.

I sent what I think are the final versions of the IDs in a few days ago
I do not know why they have not shown up yet

Scott

---

From: Scott Bradner <[email-masked]>
Date: Thu, 4 Sep 2003 11:11:27 -0400 (EDT)

> I belive that we should freeze the documents at this point.

the revised IDs have just been posted

----
A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Intellectual Property Rights Working Group of t
he IETF.

        Title           : IETF Rights in Contributions
        Author(s)       : S. Bradner
        Filename        : draft-ietf-ipr-submission-rights-07.txt
        Pages           : 19
        Date            : 2003-9-4

----
A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Intellectual Property Rights Working Group of t
he IETF.

        Title           : Intellectual Property Rights in IETF Technology
        Author(s)       : S. Bradner
        Filename        : draft-ietf-ipr-technology-rights-11.txt
        Pages           : 18
        Date            : 2003-9-4

---

From: "Lawrence E. Rosen" <[email-masked]>
Date: Tue, 26 Aug 2003 13:05:09 -0700

Harald and Scott,

/Larry Rosen

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Scott Bradner
> Sent: Tuesday, August 26, 2003 4:04 AM
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: royalty-free blanket statements and reasonable terms
> 
> 
> > I think (speaking as a process guardian only) that 
> recommending such a
> > definition (which adding it as an appendix would 
> essentially do) is not 
> > appropriate as a change to the document after it has passed 
> through IETF 
> > Last Call.
> 
> ack
> 
> Scott
>